Skip to content
Dashboard
Theme
Theme

Retrieve an audit event

GET /v1/audit_log_events/{audit_log_event}: Retrieve an audit event.

View Markdown

GET /v1/audit_log_events/{audit_log_event}

Scope
audit_log_events:read
Auth
Secret key (sk_…)
Since
1.1
  • audit_log_event string Required

  • OhAuthCat-Version string

    Minor version; defaults to the environment’s pin.

Errors share one shape; see the error code catalogue.

curl -X GET \
"https://api.ohauthcat.com/v1/audit_log_events/ale_01J9Z3K5V7W8X9Y0Z1A2B3C4D5" \
-H "Authorization: Bearer $OHAUTHCAT_API_KEY"
Response 200
{
"object": "audit_log_event",
"id": "ale_01J9Z3K5V7W8X9Y0Z1A2B3C4D5",
"organization_id": "org_01J9Z3K5V7W8X9Y0Z1A2B3C4D5",
"action": "user.signed_in",
"version": 1,
"occurred_at": "2026-01-15T09:30:00Z",
"created_at": "2026-01-15T09:30:00Z",
"actor": {
"type": "default",
"id": "01J9Z3K5V7W8X9Y0Z1A2B3C4D5",
"name": "Acme Corp",
"metadata": {
"plan": "enterprise"
}
},
"targets": [
{
"type": "default",
"id": "01J9Z3K5V7W8X9Y0Z1A2B3C4D5",
"name": "Acme Corp",
"metadata": {
"plan": "enterprise"
}
}
],
"context": {
"location": "example_location",
"user_agent": "example_user_agent"
},
"metadata": {
"plan": "enterprise"
}
}